### Hierarchy

- LoDashStatic

## Index

### Methods

- chain
- tap
- thru

## Methods

### chain

- chain<T>(value: T): LoDashExplicitWrapper<T>
- chain<T>(value: T): LoDashExplicitWrapper<T>

- - Defined in node_modules/@types/lodash/common/seq.d.ts:12

  Creates a lodash object that wraps value with explicit method chaining enabled.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    The value to wrap.

  #### Returns LoDashExplicitWrapper<T>

  Returns the new lodash wrapper instance.

- - Defined in node_modules/@types/lodash/common/seq.d.ts:38

  Creates a lodash object that wraps value with explicit method chaining enabled.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    The value to wrap.

  #### Returns LoDashExplicitWrapper<T>

  Returns the new lodash wrapper instance.

### tap

- tap<T>(value: T, interceptor: function): T

- - Defined in node_modules/@types/lodash/common/seq.d.ts:152

  This method invokes interceptor and returns value. The interceptor is invoked with one argument; (value). The purpose of this method is to "tap into" a method chain in order to perform operations on intermediate results within the chain.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

    The value to provide to interceptor.

  - ##### interceptor: function

    The function to invoke.

    - - (value: T): void

      - #### Parameters

        - ##### value: T

        #### Returns void

  #### Returns T

  Returns value.

### thru

- thru<T, TResult>(value: T, interceptor: function): TResult

- - Defined in node_modules/@types/lodash/common/seq.d.ts:177

  This method is like _.tap except that it returns the result of interceptor.

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### value: T

    The value to provide to interceptor.

  - ##### interceptor: function

    The function to invoke.

    - - (value: T): TResult

      - #### Parameters

        - ##### value: T

        #### Returns TResult

  Returns the result of interceptor.

Generated using TypeDoc